- name: Deploy tosca_nodes_nodejs
  block:	
   - name: Transfer the install script
     copy: src=install-nodejs.sh dest=install-nodejs.sh mode=0777
   - name: Execute the install script
     shell: ~/install-nodejs.sh
  when: task == "DEPLOY"
  become_user: ubuntu
  become: yes
  
- name: Configure tosca_nodes_nodejs
  block:
   - debug: msg="Operation start not implemented."
  when: task == "CONFIGURE"
  become_user: ubuntu
  become: yes
  
- name: Start tosca_nodes_nodejs
  block:
  - debug: msg="Operation start not implemented."
  when: task == "START"
  become_user: ubuntu
  become: yes
  
- name: Stop tosca_nodes_nodejs
  block:
  - debug: msg="Operation stop not implemented."

  when: task == "STOP"
  become_user: ubuntu
  become: yes

- name: Undeploy tosca_nodes_nodejs
  block:
  - debug: msg="Operation undeploy not implemented."
  when: task == "UNDEPLOY"
  become_user: ubuntu
  become: yes
